# FedRegion Class Reference

`#include <FedRegion.hh>`

Inheritance diagram for FedRegion:

[legend]

List of all members.

## Public Member Functions
| FedRegion (RegionHandle, SpaceHandle, const std::vector< Extent > &)
virtual | ~FedRegion ()
virtual ULong | getRangeLowerBound (ExtentIndex, DimensionHandle) const throw (ArrayIndexOutOfBounds)
virtual ULong | getRangeUpperBound (ExtentIndex, DimensionHandle) const throw (ArrayIndexOutOfBounds)
virtual void | setRangeLowerBound (ExtentIndex, DimensionHandle, ULong) throw (ArrayIndexOutOfBounds)
virtual void | setRangeUpperBound (ExtentIndex, DimensionHandle, ULong) throw (ArrayIndexOutOfBounds)
virtual SpaceHandle | getSpaceHandle () const throw ()
| Get the handle of the routing space having this region.
virtual ULong | getNumberOfExtents () const throw ()
virtual ULong | getRangeLowerBoundNotificationLimit (ExtentIndex, DimensionHandle) const throw (ArrayIndexOutOfBounds)
virtual ULong | getRangeUpperBoundNotificationLimit (ExtentIndex, DimensionHandle) const throw (ArrayIndexOutOfBounds)
void | commit ()
| Update the Region after an update to the RTI.
## Private Attributes
SpaceHandle | space
std::vector< Extent > | coExtents

## Detailed Description

Definition at line 35 of file FedRegion.hh.

## Constructor & Destructor Documentation

FedRegion | ( | RegionHandle | h,
|  | SpaceHandle | s,
|  | const std::vector< Extent > & | ext |
| ) |  |  |

Definition at line 33 of file FedRegion.cc.

References BaseRegion::setExtents().

Here is the call graph for this function:

~FedRegion | ( |  | ) | `[virtual]`

Definition at line 40 of file FedRegion.cc.

## Member Function Documentation

ULong getRangeLowerBound | ( | ExtentIndex | index,
|  | DimensionHandle | dimension |
| ) |  |  | const throw (ArrayIndexOutOfBounds)`[virtual]`

Reimplemented from BaseRegion.

Definition at line 56 of file FedRegion.cc.

References BaseRegion::getRangeLowerBound().

Here is the call graph for this function:

ULong getRangeUpperBound | ( | ExtentIndex | index,
|  | DimensionHandle | dimension |
| ) |  |  | const throw (ArrayIndexOutOfBounds)`[virtual]`

Reimplemented from BaseRegion.

Definition at line 65 of file FedRegion.cc.

References BaseRegion::getRangeUpperBound().

Here is the call graph for this function:

void setRangeLowerBound | ( | ExtentIndex | index,
|  | DimensionHandle | dimension,
|  | ULong | val |
| ) |  |  | throw (ArrayIndexOutOfBounds)`[virtual]`

Reimplemented from BaseRegion.

Definition at line 74 of file FedRegion.cc.

References BaseRegion::setRangeLowerBound().

Here is the call graph for this function:

void setRangeUpperBound | ( | ExtentIndex | index,
|  | DimensionHandle | dimension,
|  | ULong | val |
| ) |  |  | throw (ArrayIndexOutOfBounds)`[virtual]`

Reimplemented from BaseRegion.

Definition at line 84 of file FedRegion.cc.

References BaseRegion::setRangeUpperBound().

Here is the call graph for this function:

SpaceHandle getSpaceHandle | ( |  | ) | const throw ()`[virtual]`

Get the handle of the routing space having this region.

Implements BaseRegion.

Definition at line 48 of file FedRegion.cc.

References FedRegion::space.

ULong getNumberOfExtents | ( |  | ) | const throw ()`[virtual]`

Reimplemented from BaseRegion.

Definition at line 126 of file FedRegion.cc.

References BaseRegion::getNumberOfExtents().

Here is the call graph for this function:

ULong getRangeLowerBoundNotificationLimit | ( | ExtentIndex | index,
|  | DimensionHandle | dimension |
| ) |  |  | const throw (ArrayIndexOutOfBounds)`[virtual]`

Definition at line 96 of file FedRegion.cc.

References FedRegion::coExtents.

ULong getRangeUpperBoundNotificationLimit | ( | ExtentIndex | index,
|  | DimensionHandle | dimension |
| ) |  |  | const throw (ArrayIndexOutOfBounds)`[virtual]`

Definition at line 112 of file FedRegion.cc.

References FedRegion::coExtents.

void commit | ( |  | ) |

Update the Region after an update to the RTI.

Definition at line 136 of file FedRegion.cc.

References FedRegion::coExtents, and BaseRegion::replaceExtents().

Referenced by RTI::RTIambassador::notifyAboutRegionModification().

Here is the call graph for this function:

## Member Data Documentation

SpaceHandle space`[private]`

Definition at line 70 of file FedRegion.hh.

Referenced by FedRegion::getSpaceHandle().

std::vector<Extent> coExtents`[private]`

Definition at line 71 of file FedRegion.hh.

Referenced by FedRegion::commit(), FedRegion::getRangeLowerBoundNotificationLimit(), and FedRegion::getRangeUpperBoundNotificationLimit().

The documentation for this class was generated from the following files:

- FedRegion.hh
- FedRegion.cc